For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Keys

API key management

List API keys

get
Authorizations
X-API-KeystringRequired

API key for authentication. Get your key from the dashboard.

Responses
200

API key list

application/json
successbooleanOptionalExample: true
get/api-keys
GET /api/v2/api-keys HTTP/1.1
Host: bulkmail.shop
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "success": true,
  "data": [
    {
      "id": 1,
      "name": "text",
      "key_preview": "bm_****abc123",
      "last_used_at": "2026-01-01T00:00:00.000Z",
      "created_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Create API key

post

Create a new API key. Maximum 5 keys per user. The key is only shown once!

Authorizations
X-API-KeystringRequired

API key for authentication. Get your key from the dashboard.

Body
namestring · max: 100Required
Responses
201

API key created

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: Save this API key securely. It won't be shown again.
post/api-keys
POST /api/v2/api-keys HTTP/1.1
Host: bulkmail.shop
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}
{
  "success": true,
  "message": "Save this API key securely. It won't be shown again.",
  "data": {
    "id": 1,
    "name": "text",
    "api_key": "text"
  }
}

Revoke API key

delete
Authorizations
X-API-KeystringRequired

API key for authentication. Get your key from the dashboard.

Path parameters
idintegerRequired
Responses
200

API key revoked

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: API key revoked successfully
delete/api-keys/{id}
DELETE /api/v2/api-keys/{id} HTTP/1.1
Host: bulkmail.shop
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "success": true,
  "message": "API key revoked successfully"
}

Last updated